Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.spi
Interface ServletContainerContext

All Known Implementing Classes:
  GenericServletContainerContext, TC6ServletContainerContext

    public interface ServletContainerContext

Defines the service provider interface for a servlet container. It is an attempt to abstract the non portable services required by a portal with respect to the web container layer.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Nested Class Summary
`static interface` | `ServletContainerContext.Registration` The callback interface that a servlet container context can obtain from its registration against the `org.jboss.portal.web.ServletContainer` singleton.

Method Summary
`java.lang.Object` | `include(javax.servlet.ServletContext targetServletContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, RequestDispatchCallback callback, java.lang.Object handback)` Generic detyped request dispatch to a servlet context using the include mechanism.
`void` | `setCallback(ServletContainerContext.Registration registration)` Install the call back object.
`void` | `unsetCallback(ServletContainerContext.Registration registration)` Uninstall the call back object.

Method Detail

### include

    java.lang.Object include(javax.servlet.ServletContext targetServletContext,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response,
                             RequestDispatchCallback callback,
                             java.lang.Object handback)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Generic detyped request dispatch to a servlet context using the include mechanism.

  Parameters:
    `targetServletContext` - the target servlet context to dispatch to
    `request` - the request valid in the current servlet context
    `response` - the response valid in the current servlet context
    `callback` - the callback to perform after the dispatch operation
    `handback` - the handback object that will be provided to the callback
  Returns:
    the object returned by the callback
  Throws:
    `javax.servlet.ServletException` - any servlet exception
    `java.io.IOException` - any io exception

### setCallback

    void setCallback(ServletContainerContext.Registration registration)

  Install the call back object.

  Parameters:
    `registration` - the call back

### unsetCallback

    void unsetCallback(ServletContainerContext.Registration registration)

  Uninstall the call back object.

  Parameters:
    `registration` - the call back

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.